function [pt,varfields,kind]=dde_coll_create(varargin)
%% create psol point with empty stability information
%
% (c) DDE-BIFTOOL v. 3.2a(308), 28/10/2018
%%
default={'kind','coll','parameter',[],'mesh',[],'degree',[],'profile',[],'period',[]};
pt=dde_set_options(default,varargin,'pass_on','point');
pt.kind='coll';
if ~isempty(pt.profile)
    pt=dde_coll_check(pt);
end
varfields=struct('profile',1,'period',1,'parameter',1);
kind='';
end