function point=dde_TorusBifurcation_postprocess(point,data)
%% renormalize eigenvector to be as close as possible to reference
%
% (c) DDE-BIFTOOL v. 3.2a(308), 28/10/2018
%%
prev=data.previous;
n=size(prev.profile,1)/3;
ivre=n+(1:n);
ivim=2*n+(1:n);
prev_re=setfield(prev,'profile',prev.profile(ivre,:)); %#ok<*SFLD>
prev_im=setfield(prev,'profile',prev.profile(ivim,:));
vre=setfield(point,'profile',point.profile(ivre,:));
vim=setfield(point,'profile',point.profile(ivim,:));
c=dde_coll_dot(vre,prev_re)+dde_coll_dot(vim,prev_im)+...
    1i*(dde_coll_dot(vre,prev_im)-dde_coll_dot(vim,prev_re));
phi=angle(c);
vc=(vre.profile+1i*vim.profile)*exp(1i*phi);
point.profile(ivre,:)=real(vc);
point.profile(ivim,:)=imag(vc);
end

